Patch a specified access profile
PATCH/access-profiles/v2/:id
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
This API updates an existing Access Profile.
This version patches the same fields as Patch a Specified Access Profile V1. It returns the v2 access profile shape, which adds the read-only privilegeLevel field.
The following fields are patchable:
name
description
enabled
owner
additionalOwners
requestable
accessRequestConfig
revocationRequestConfig
segments
entitlements
provisioningCriteria
source (must be updated with entitlements belonging to new source in the same API call)
If you need to change the source of the access profile, you can do so only if you update the entitlements in the same API call. The new entitlements can only come from the target source that you want to change to. Look for the example "Replace Source" in the examples dropdown.
A user with SOURCE_SUBADMIN may only use this API to patch Access Profiles which are associated with Sources they are able to administer.
The maximum supported length for the description field is 2000 characters. Longer descriptions will be preserved for existing access profiles, however, any new access profiles as well as any updates to existing descriptions will be limited to 2000 characters.
You can only add or replace entitlements that exist on the source that the access profile is attached to. You can use the list entitlements endpoint with the filters query parameter to get a list of available entitlements on the access profile's source.
Note:
privilegeLevelis read-only and cannot be patched. Changing the access profile's entitlements recalculates it asynchronously, so the patch response may still show the previous value.
Request
Responses
- 200
- 400
- 401
- 403
- 404
- 429
- 500
Responds with the Access Profile as updated.
Client Error - Returned if the request body is invalid.
Unauthorized - Returned if there is no authorization header, or if the JWT token is expired.
Forbidden - Returned if the user you are running as, doesn't have access to this end-point.
Not Found - returned if the request URL refers to a resource or object that does not exist
Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again.
Internal Server Error - Returned if there is an unexpected error.